Subject: Re: [PATCH AUTOSEL 6.0 09/13] net: loopback: use NET_NAME_PREDICTABLE for name_assign_type

From: Jakub Kicinski <[email-masked]>
Date: Tue, 6 Dec 2022 11:49:56 -0800

On Tue,  6 Dec 2022 04:49:12 -0500 Sasha Levin wrote:
> From: Rasmus Villemoes <[email-masked]>
> 
> [ Upstream commit 31d929de5a112ee1b977a89c57de74710894bbbf ]
> 
> When the name_assign_type attribute was introduced (commit
> 685343fc3ba6, "net: add name_assign_type netdev attribute"), the
> loopback device was explicitly mentioned as one which would make use
> of NET_NAME_PREDICTABLE:
> 
>     The name_assign_type attribute gives hints where the interface name of a
>     given net-device comes from. These values are currently defined:
> ...
>       NET_NAME_PREDICTABLE:
>         The ifname has been assigned by the kernel in a predictable way
>         that is guaranteed to avoid reuse and always be the same for a
>         given device. Examples include statically created devices like
>         the loopback device [...]
> 
> Switch to that so that reading /sys/class/net/lo/name_assign_type
> produces something sensible instead of returning -EINVAL.

Yeah... we should have applied it to -next, I think backporting it is 
a good idea but I wish it had more time in the -next tree since it's 
a "uAPI alignment" :( 

Oh, well, very unlikely it will break anything, tho, so let's do it.